---
title: "createCloudCacheInstance"
slug: "database-vcache-createcloudcacheinstance"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-createcloudcacheinstance"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# createCloudCacheInstance
Available in VPC
Create a Cloud DB for Cache instance.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- createCloudCacheInstance API: Support for Valkey and Redis DBMS
- createCloudRedisInstance API: Support for Redis DBMS
## createCloudCacheInstance API
This section describes the request and response formats for the createCloudCacheInstance API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vcache/v2/createCloudCacheInstance |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to create - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `vpcNo` | String | Required | Number of VPC on which to create the Cloud DB for Cache instance - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). |
| `cloudCacheImageProductCode` | String | Optional | Cloud DB for Cache image product code - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). - Automatically generated by NAVER Cloud Platform (default) |
| `cloudCacheProductCode` | String | Optional | Cloud DB for Cache product code - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). - Minimum specification (default). - Minimum specification is based on 1. memory and 2. CPU. |
| `shardCount` | Integer | Optional | Number of master nodes created when DB mode is Cluster - 3-10 (default: 3) - Enter only when `CloudCacheModeCode` is `CLUSTER`. - If `CloudCacheModeCode` is `SIMPLE`, `shardCount` is ignored even if it's entered. |
| `shardCopyCount` | Integer | Optional | Number of slave nodes that are replicas of the master node when DB mode is Cluster - 0-4 (default: 0) - Cluster consists of master nodes and slave nodes, and slave nodes are required for high availability (HA). - When adding replicas, all master nodes are assigned one slave node each. - Example: For 3 shards and 1 replicas per shard - Master node: 3 - Slave node: 3 - High availability is not supported if replicas per shard is set to >. - Enter only when `CloudCacheModeCode` is `CLUSTER`. - If `CloudCacheModeCode` is `SIMPLE`, `shardCopyCount` is ignored even if it's entered. |
| `isHa` | Boolean | Optional | High availability status - `true` \| `false` (default) - When high availability is selected, automatic failover with a standby master server is supported for an additional fee and backups are set up automatically. |
| `configGroupNo` | String | Required | Config group number - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). - Config groups are provided to efficiently manage DB server settings, and one cluster group will all use the same config. - If a config group does not exist, it must be created and can be changed online even after creation. - DB server's type (Cluster/Simple) and Cache engine version information must be entered to match the config group number. |
| `isBackup` | Boolean | Optional | Whether DB backup is enabled - `true` \| `false` (default) - If the high availability status (`isHa`) is `true`, the backup status (isBackup) is fixed to `true`. |
| `backupFileRetentionPeriod` | Integer | Optional | Backup file retention period (days) - 1-7 (default: 1) - Backup is performed every day, and the backup file is stored in a separate backup storage. - Fees are charged for the space you use. |
| `backupTime` | String | Conditional | Set backup time. - `true` (default) \| `false` - Required if the backup status (`isBackup`) is `true` and automatic backup status (`isAutomaticBackup`) is `false` - e.g., 01:15 (Backup starts between the selected time + 15 minutes) |
| `isAutomaticBackup` | Boolean | Optional | Whether to set the backup time automatically - `true` (default) \| `false` - If set to `true`, it will ignore even if `backupTime` is entered and will be set automatically. |
| `cloudCacheServiceName` | String | Required | Name of the Cloud DB for Cache service to create - 3 to 15 characters, including English letters, Korean letters, numbers, and special character "-". - DB service names cannot be used in duplicate. |
| `cloudCacheServerNamePrefix` | String | Required | Cloud DB for Cache server name prefix to create - 3 to 15 characters, including lowercase English letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. - A 3-digit number is automatically generated after the prefix. - DB service names cannot be used in duplicate. |
| `cloudCachePort` | Integer | Optional | TCP port number to access the Cloud DB for Cache instance - 6379 (default) - Specified range: 10000-20000 |
| `subnetNo` | String | Required | Subnet number of the Cloud Cache instance to create - See the [getCloudCacheTargetSubnetList](/docs/en/database-vcache-getcloudcachetargetsubnetlist) action. - Can only be created in a private subnet. - Subnet migrations are not available after creating the Cloud DB for Cache instance. |
| `engineVersionCode` | String | Conditional | Cache engine version - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). - If not entered, it is created with the latest version currently available. |
| `cloudCacheModeCode` | String | Required | Mode of Cloud DB for Cache to create - `SIMPLE` \| `CLUSTER` - When using the `CLUSTER` setting, it ignores the high availability status (`isHa`) even if it's entered. |
| `cloudCacheDbmsCode` | String | Optional | Cloud DB for Cache instance's DBMS code - `Redis` (default) \| `Valkey` |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
| `generationCode` | String | Optional | Server generation - G2 - G3 |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/createCloudCacheInstance
?regionCode=KR
&vpcNo=****83
&cloudCacheImageProductCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
&cloudCacheProductCode=SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
&shardCount=3
&shardCopyCount=1
&isHa=true
&configGroupNo=***9
&isBackup=true
&backupFileRetentionPeriod=7
&backupTime=00:15
&isAutomaticBackup=true
&cloudCacheServiceName=test-****
&cloudCacheServerNamePrefix=test-****
&cloudCachePort=6379
&subnetNo=****91
&cloudCacheDbmsCode=Valkey
&cloudCacheModeCode=SIMPLE' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudCacheInstanceList](/docs/en/common-vapidatatype-cloudcacheinstancelist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"createCloudCacheInstanceResponse": {
"totalRows": 1,
"cloudCacheInstanceList": [
{
"cloudCacheInstanceNo": "****511",
"cloudCacheServiceName": "test-****",
"cloudCacheInstanceStatusName": "creating",
"cloudCacheInstanceStatus": {
"code": "INIT",
"codeName": "CLOUD DATABASE(VPC) Init State"
},
"cloudCacheInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Creat OP"
},
"cloudCacheImageProductCode": "SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050",
"engineVersion": "VALKEY 7.2.11",
"licence": {
"code": "BSD",
"codeName": "Berkeley Software Distribution"
},
"cloudCachePort": 6379,
"isHa": true,
"cloudCacheServerPrefix": "test-****",
"generationCode": "G2",
"role": {
"code": "CLUSTER",
"codeName": "CLOUD CACHE(VPC) Cluster Role"
},
"createDate": "2024-07-01T16:59:21+0900",
"accessControlGroupNoList": [],
"masterNodeCount": 3,
"slaveNodeCount": 3,
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"cloudCacheServerInstanceList": [
{
"cloudCacheServerName": "test-****-001-001-ehd",
"cloudCacheServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "***83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudCacheServerName": "test-****-002-001-ehe",
"cloudCacheServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudCacheServerName": "test-****-003-001-ehf",
"cloudCacheServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudCacheServerName": "test-****-001-002-ehg",
"cloudCacheServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudCacheServerName": "test-****-002-002-ehh",
"cloudCacheServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudCacheServerName": "test-****-003-002-ehi",
"cloudCacheServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudCacheServerInstanceStatusName": "creating",
"cloudCacheServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudCacheServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudCacheProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "cachec-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
}
]
}
],
"requestId": "6aaac383-****-****-****-e7b07eea5c35",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
6aaac383-****-****-****-e7b07eea5c35
0
success
1
****511
test-****
creating
INIT
CLOUD DATABASE(VPC) Init State
CREAT
CLOUD DATABASE(VPC) Creat OP
SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
VALKEY 7.2.11
BSD
Berkeley Software Distribution
6379
true
test-****
G2
CLUSTER
CLOUD CACHE(VPC) Cluster Role
2024-07-01T16:59:21+0900
3
3
***9
test-***-config
test-****-001-001-ehd
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-002-001-ehe
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-003-001-ehf
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-001-002-ehg
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-002-002-ehh
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-003-002-ehi
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
cachec-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
```
## createCloudRedisInstance API
This section describes the request and response formats for the createCloudRedisInstance API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/createCloudRedisInstance |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to create - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `vpcNo` | String | Required | Number of VPC on which to create the Cloud DB for Cache instance - See [getCloudCacheTargetVpcList](/docs/en/database-vcache-getcloudcachetargetvpclist). |
| `cloudRedisImageProductCode` | String | Optional | Cloud DB for Cache image product code - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). - Automatically generated by NAVER Cloud Platform (default) |
| `cloudRedisProductCode` | String | Optional | Cloud DB for Cache product code - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). - Minimum specification (default). - Minimum specification is based on 1. memory and 2. CPU. |
| `shardCount` | Integer | Optional | Number of master nodes created when Redis mode is Cluster - 3-10 (default: 3) - Enter only when `CloudRedisModeCode` is `CLUSTER`. - If `CloudRedisModeCode` is `SIMPLE`, `shardCount` is ignored even if it's entered. |
| `shardCopyCount` | Integer | Optional | Number of slave nodes that are replicas of the master node when Redis mode is Cluster - 0-4 (default: 0) - Redis Cluster consists of master nodes and slave nodes, and slave nodes are required for high availability (HA). - When adding replicas, all master nodes are assigned one slave node each. - Example: For 3 shards and 1 replicas per shard - Master node: 3 - Slave node: 3 - High availability is not supported if replicas per shard is set to `0`. - Enter only when `CloudRedisModeCode` is `CLUSTER`. - If `CloudRedisModeCode` is `SIMPLE`, `shardCopyCount` is ignored even if it's entered. |
| `isHa` | Boolean | Optional | High availability status - `true` \| `false` (default) - When high availability is selected, automatic failover with a standby master server is supported for an additional fee and backups are set up automatically. |
| `configGroupNo` | String | Required | Config group number - See [getCloudCacheConfigGroupList](/docs/en/database-vcache-getcloudcacheconfiggrouplist). - Config groups are provided to efficiently manage Redis server settings, and one cluster group will all use the same config. - If a config group does not exist, it must be created and can be changed online even after creation. - Redis server's type (Cluster/Simple) and Redis engine version information must be entered to match the config group number. - Example: If the Redis server type is "Cluster" and Redis engine version is "7.0.15," enter the `configGroupNo` value such that `cloudRedisVersion` corresponds to `7.0.15-cluster`. |
| `isBackup` | Boolean | Optional | Whether Redis backup is enabled - `true` \| `false` (default) - If the high availability status (`isHa`) is `true`, the backup status (isBackup) is fixed to `true`. |
| `backupFileRetentionPeriod` | Integer | Optional | Backup file retention period (days) - 1-7 (default: 1) - Backup is performed every day, and the backup file is stored in a separate backup storage. - Fees are charged for the space you use. |
| `backupTime` | String | Conditional | Set backup time. - `true` (default) \| `false` - Required if the backup status (`isBackup`) is `true` and automatic backup status (`isAutomaticBackup`) is `false` - e.g., 01:15 (Backup starts between the selected time + 15 minutes) |
| `isAutomaticBackup` | Boolean | Optional | Whether to set the backup time automatically - `true` (default) \| `false` - If set to `true`, it will ignore even if `backupTime` is entered and will be set automatically. |
| `cloudRedisServiceName` | String | Required | Name of the Cloud DB for Cache service to create - 3 to 15 characters, including English letters, Korean letters, numbers, and special character "-". - Redis service names cannot be used in duplicate. |
| `cloudRedisServerNamePrefix` | String | Required | Cloud DB for Cache server name prefix to create - 3 to 15 characters, including lowercase English letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. - A 3-digit number is automatically generated after the prefix. - Redis service names cannot be used in duplicate. |
| `cloudRedisPort` | Integer | Optional | TCP port number to access the Cloud DB for Cache instance - 6379 (default) - Specified range: 10000-20000 |
| `subnetNo` | String | Required | Subnet number of the Cloud Redis instance to create - See the [getCloudCacheTargetSubnetList](/docs/en/database-vcache-getcloudcachetargetsubnetlist) action. - Can only be created in a private subnet. - Subnet migrations are not available after creating the Cloud DB for Cache instance. |
| `engineVersionCode` | String | Conditional | Redis engine version - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). - If not entered, it is created with the latest version currently available. |
| `cloudRedisModeCode` | String | Required | Mode of Cloud DB for Cache to create - `CLUSTER` \| `SIMPLE` - `CLUSTER`: Redis with a master, slave architecture and data sharding to offload traffic - `SIMPLE`: Basic Redis with master, standby-master architecture - When using the `CLUSTER` setting, it ignores the high availability status (`isHa`) even if it's entered. |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
| `generationCode` | String | Optional | Server generation - G2 - G3 |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/createCloudRedisInstance
?regionCode=KR
&vpcNo=****83
&cloudRedisImageProductCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
&cloudRedisProductCode=SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
&shardCount=3
&shardCopyCount=1
&isHa=true
&configGroupNo=***9
&isBackup=true
&backupFileRetentionPeriod=7
&backupTime=00:15
&isAutomaticBackup=true
&cloudRedisServiceName=test-****
&cloudRedisServerNamePrefix=test-****
&cloudRedisPort=6379
&subnetNo=****91
&cloudRedisModeCode=CLUSTER' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudRedisInstanceList](/docs/en/common-vapidatatype-cloudRedisinstancelist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"createCloudRedisInstanceResponse": {
"totalRows": 1,
"cloudRedisInstanceList": [
{
"cloudRedisInstanceNo": "****511",
"cloudRedisServiceName": "test-****",
"cloudRedisInstanceStatusName": "creating",
"cloudRedisInstanceStatus": {
"code": "INIT",
"codeName": "CLOUD DATABASE(VPC) Init State"
},
"cloudRedisInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Creat OP"
},
"cloudRedisImageProductCode": "SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050",
"engineVersion": "REDIS 7.0.15",
"licence": {
"code": "BSD",
"codeName": "Berkeley Software Distribution"
},
"cloudRedisPort": 6379,
"isHa": true,
"cloudRedisServerPrefix": "test-****",
"generationCode": "G2",
"role": {
"code": "CLUSTER",
"codeName": "CLOUD REDIS(VPC) Cluster Role"
},
"createDate": "2024-07-01T16:59:21+0900",
"accessControlGroupNoList": [],
"masterNodeCount": 3,
"slaveNodeCount": 3,
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"cloudRedisServerInstanceList": [
{
"cloudRedisServerName": "test-****-001-001-ehd",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "***83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudRedisServerName": "test-****-002-001-ehe",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudRedisServerName": "test-****-003-001-ehf",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudRedisServerName": "test-****-001-002-ehg",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudRedisServerName": "test-****-002-002-ehh",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
},
{
"cloudRedisServerName": "test-****-003-002-ehi",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "creating",
"cloudRedisServerInstanceStatus": {
"code": "PEND",
"codeName": "CLOUD DATABASE(VPC) Server Pending State"
},
"cloudRedisServerInstanceOperation": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Server Create OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****-vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"createDate": "2024-07-01T16:59:21+0900"
}
]
}
],
"requestId": "6aaac383-****-****-****-e7b07eea5c35",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
6aaac383-****-****-****-e7b07eea5c35
0
success
1
****511
test-****
creating
INIT
CLOUD DATABASE(VPC) Init State
CREAT
CLOUD DATABASE(VPC) Creat OP
SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
REDIS 7.0.15
BSD
Berkeley Software Distribution
6379
true
test-****
G2
CLUSTER
CLOUD REDIS(VPC) Cluster Role
2024-07-01T16:59:21+0900
3
3
***9
test-***-config
test-****-001-001-ehd
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-002-001-ehe
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-003-001-ehf
M
Master
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-001-002-ehg
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-002-002-ehh
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
test-****-003-002-ehi
S
Slave
creating
PEND
CLOUD DATABASE(VPC) Server Pending State
CREAT
CLOUD DATABASE(VPC) Server Create OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****-vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T16:59:21+0900
```